Remove unnecessary `identify` dependency check

This commit is contained in:
Jia Hao 2016-03-12 15:03:13 +08:00
parent 1f517886bb
commit 6eaf335ba5
2 changed files with 0 additions and 10 deletions

View File

@ -15,7 +15,6 @@ CONVERT_TO_PNG="${BASH_SOURCE%/*}/convertToPng"
# Exec Paths
ICONUTIL=$(which iconutil)
IMAGEMAGICK_CONVERT=$(which convert)
IMAGEMAGICK_IDENTIFY=$(which identify)
if [ ! -x "${ICONUTIL}" ]; then
echo "Cannot find required iconutil executable" >&2
@ -25,10 +24,6 @@ if [ ! -x "${IMAGEMAGICK_CONVERT}" ]; then
echo "Cannot find required ImageMagick Convert executable" >&2
exit 1;
fi
if [ ! -x "${IMAGEMAGICK_IDENTIFY}" ]; then
echo "Cannot find required ImageMagick Identify executable" >&2
exit 1;
fi
# Parameters
SOURCE=$1

View File

@ -9,16 +9,11 @@
set -e
IMAGEMAGICK_CONVERT=$(which convert)
IMAGEMAGICK_IDENTIFY=$(which identify)
if [ ! -x "${IMAGEMAGICK_CONVERT}" ]; then
echo "Cannot find required ImageMagick Convert executable" >&2
exit 1;
fi
if [ ! -x "${IMAGEMAGICK_IDENTIFY}" ]; then
echo "Cannot find required ImageMagick Identify executable" >&2
exit 1;
fi
SOURCE=$1
DEST=$2